com.h3c.of.lib.msg

## Enum MeterFlag

- java.lang.Object
- - java.lang.Enum<MeterFlag>
  - - com.h3c.of.lib.msg.MeterFlag

- All Implemented Interfaces:
    OfpBitmapEnum, OfpEnum, Serializable, Comparable<MeterFlag>

      public enum MeterFlag
      extends Enum<MeterFlag>
      implements OfpBitmapEnum

  Designates meter flags; Since 1.3.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BURST` Do burst size; Since 1.3.
    `KBPS` Rate value in kb/s (kilo-bit per second); Since 1.3.
    `PKTPS` Rate value in packet/second; Since 1.3.
    `STATS` Collect statistics; Since 1.3.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Set<MeterFlag>` | `decodeBitmap(int bitmap, ProtocolVersion pv)` Decodes the meter flags and returns the set of corresponding constants.
    `static int` | `encodeBitmap(Set<MeterFlag> flags, ProtocolVersion pv)` Encodes a set of meter flags as a bitmap.
    `int` | `getBit(ProtocolVersion pv)` Returns the bit value for the constant, under the given protocol version.
    `String` | `toDisplayString()` Returns a string representation of the constant, suitable for presentation in a display.
    `String` | `toString()`
    `static MeterFlag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MeterFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KBPS

          public static final MeterFlag KBPS

      Rate value in kb/s (kilo-bit per second); Since 1.3.

    - #### PKTPS

          public static final MeterFlag PKTPS

      Rate value in packet/second; Since 1.3.

    - #### BURST

          public static final MeterFlag BURST

      Do burst size; Since 1.3.

    - #### STATS

          public static final MeterFlag STATS

      Collect statistics; Since 1.3.

  - ### Method Detail

    - #### values

          public static MeterFlag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MeterFlag c : MeterFlag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MeterFlag valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getBit

          public int getBit(ProtocolVersion pv)

      Description copied from interface: `OfpBitmapEnum`
      Returns the bit value for the constant, under the given protocol version.
      Specified by:
        `getBit` in interface `OfpBitmapEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the bit value for the constant

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<MeterFlag>`

    - #### toDisplayString

          public String toDisplayString()

      Description copied from interface: `OfpBitmapEnum`
      Returns a string representation of the constant, suitable for presentation in a display.
      Specified by:
        `toDisplayString` in interface `OfpBitmapEnum`
      Returns:
        a display string for the constant

    - #### decodeBitmap

          public static Set<MeterFlag> decodeBitmap(int bitmap,
                                    ProtocolVersion pv)

      Decodes the meter flags and returns the set of corresponding constants.
      Parameters:
        `bitmap` - the bitmap to decode
        `pv` - the protocol version
      Returns:
        the set of flags
      Throws:
        `VersionMismatchException` - if a bit position is not supported in the given version

    - #### encodeBitmap

          public static int encodeBitmap(Set<MeterFlag> flags,
                         ProtocolVersion pv)

      Encodes a set of meter flags as a bitmap. The `flags` parameter may be null, in which case a bitmap of 0 (zero) is returned.
      Parameters:
        `flags` - the flags to encode
        `pv` - the protocol version
      Returns:
        the flags encoded as a bitmap
      Throws:
        `NullPointerException` - if protocol version is null
        `VersionMismatchException` - if a flag is present that is not supported in the given protocol version

Copyright © 2014. All Rights Reserved.